Package org.apache.sling.cms.core.insights.impl.providers

## Class PageSpeedInsightProvider

- java.lang.Object
- - org.apache.sling.cms.core.insights.impl.BaseInsightProvider
  - - org.apache.sling.cms.core.insights.impl.providers.PageSpeedInsightProvider

All Implemented Interfaces:
  `InsightProvider`

    public class PageSpeedInsightProvider
    extends org.apache.sling.cms.core.insights.impl.BaseInsightProvider

### Nested Class Summary

Nested Classes
`static interface` `PageSpeedInsightProvider.Config`

### Field Summary

Fields
`static String` `MESSAGE_RESULT_DANGER`
`static String` `MESSAGE_RESULT_SUCCESS`
`static String` `MESSAGE_RESULT_WARN`

### Constructor Summary

Constructors
`PageSpeedInsightProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(PageSpeedInsightProvider.Config config)`
`protected Insight` `doEvaluateRequest​(InsightRequest request)` Method for the extending classes to implement, this can safely throw exceptions and this will trigger a failure result to be returned.
`String` `getId()`
`String` `getTitle()`
`boolean` `isEnabled​(InsightRequest request)`

### Methods inherited from class org.apache.sling.cms.core.insights.impl.BaseInsightProvider

`evaluateRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MESSAGE_RESULT_DANGER

    public static final String MESSAGE_RESULT_DANGER

See Also:
  Constant Field Values

#### MESSAGE_RESULT_WARN

    public static final String MESSAGE_RESULT_WARN

See Also:
  Constant Field Values

#### MESSAGE_RESULT_SUCCESS

    public static final String MESSAGE_RESULT_SUCCESS

See Also:
  Constant Field Values

### Constructor Detail

#### PageSpeedInsightProvider

    public PageSpeedInsightProvider()

### Method Detail

#### activate

    public void activate​(PageSpeedInsightProvider.Config config)

#### doEvaluateRequest

    protected Insight doEvaluateRequest​(InsightRequest request)
                                 throws Exception

Description copied from class: `org.apache.sling.cms.core.insights.impl.BaseInsightProvider`
Method for the extending classes to implement, this can safely throw exceptions and this will trigger a failure result to be returned.

Specified by:
  `doEvaluateRequest` in class `org.apache.sling.cms.core.insights.impl.BaseInsightProvider`
Parameters:
  `request` - the request to evaluate
Returns:
  the result of evaluation
Throws:
  `Exception` - any exception

#### getId

    public String getId()

#### getTitle

    public String getTitle()

#### isEnabled

    public boolean isEnabled​(InsightRequest request)